##### 7.5.4.0. Sannfslog

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  Sannfslog(f [,eng]); f a poly, eng an optional int

Return:
  ring

Purpose:
  compute the D-module structure of basering[1/f]*f^s

Note:
  activate the output ring with the `setring` command.
  In the output ring D[s], the ideal LD1 is generated by the elements
  in Ann F^s in D[s], coming from logarithmic derivations.
  If eng <>0, `std` is used for Groebner basis computations,
  otherwise, and by default `slimgb` is used.

Display:
  If `printlevel`=1, progress debug messages will be printed,
  if `printlevel`>=2, all the debug messages will be printed.

Example:

    LIB "dmod.lib";
    ring r = 0,(x,y),Dp;
    poly F = x4+y5+x*y4;
    printlevel = 0;
    def A  = Sannfslog(F);
    setring A;
    LD1;
    ==> LD1[1]=4*x^2*Dx+5*x*y*Dx+3*x*y*Dy+4*y^2*Dy-16*x*s-20*y*s
    ==> LD1[2]=16*x*y^2*Dx+4*y^3*Dx+12*y^3*Dy-125*x*y*Dx-4*x^2*Dy+5*x*y*Dy-100*y^\
       2*Dy-64*y^2*s+500*y*s

User manual for Singular version 4.4.1, 2025, generated by texi2html.